# Uses of Class
java.nio.charset.CharsetDecoder

Packages that use CharsetDecoder
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.charset
Defines charsets, decoders, and encoders, for translating between bytes and Unicode characters.

## Uses of CharsetDecoder in java.io

Constructors in java.io with parameters of type CharsetDecoder
Modifier
Constructor
Description
``
`InputStreamReader​(InputStream in, CharsetDecoder dec)`
Creates an InputStreamReader that uses the given charset decoder.

## Uses of CharsetDecoder in java.nio.channels

Methods in java.nio.channels with parameters of type CharsetDecoder
Modifier and Type
Method
Description
`static Reader`
Channels.`newReader​(ReadableByteChannel ch, CharsetDecoder dec, int minBufferCap)`
Constructs a reader that decodes bytes from the given channel using the given decoder.

## Uses of CharsetDecoder in java.nio.charset

Methods in java.nio.charset that return CharsetDecoder
Modifier and Type
Method
Description
`abstract CharsetDecoder`
Charset.`newDecoder()`
Constructs a new decoder for this charset.
`CharsetDecoder`
CharsetDecoder.`onMalformedInput​(CodingErrorAction newAction)`
Changes this decoder's action for malformed-input errors.
`CharsetDecoder`
CharsetDecoder.`onUnmappableCharacter​(CodingErrorAction newAction)`
Changes this decoder's action for unmappable-character errors.
`CharsetDecoder`
CharsetDecoder.`replaceWith​(String newReplacement)`
Changes this decoder's replacement value.
`CharsetDecoder`
CharsetDecoder.`reset()`
Resets this decoder, clearing any internal state.